Bug 161520 - [MAINTAINER] irc/weechat-devel: update to 20111010 (0.3.6-rc2)
Summary: [MAINTAINER] irc/weechat-devel: update to 20111010 (0.3.6-rc2)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-12 18:20 UTC by Jase Thew
Modified: 2011-10-12 21:10 UTC (History)
0 users

See Also:


Attachments
weechat-devel-20111010.patch (1.59 KB, patch)
2011-10-12 18:20 UTC, Jase Thew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jase Thew 2011-10-12 18:20:07 UTC
- Update to 20111010 (0.3.6-rc2)

Generated with FreeBSD Port Tools 0.99
Comment 1 Chris Rees freebsd_committer 2011-10-12 18:43:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 Chris Rees 2011-10-12 18:45:58 UTC
Why is there a DEBUG option with no corresponding WITH_DEBUG test?

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 3 Jase Thew 2011-10-12 20:31:36 UTC
On 12/10/2011 18:45, Chris Rees wrote:
> Why is there a DEBUG option with no corresponding WITH_DEBUG test?
>
> Chris
>

Hi Chris,

The port uses cmake and WITH_DEBUG is handled in bsd.cmake.mk.

Please see 
http://www.freebsd.org/cgi/getmsg.cgi?fetch=28231+0+/usr/local/www/db/text/2011/cvs-ports/20110417.cvs-ports

Regards,

Jase.
Comment 4 Chris Rees freebsd_committer 2011-10-12 20:55:22 UTC
On 12 October 2011 20:40, Jase Thew <freebsd@beardz.net> wrote:
> The following reply was made to PR ports/161520; it has been noted by GNA=
TS.
>
> From: Jase Thew <freebsd@beardz.net>
> To: Chris Rees <chris@bayofrum.net>
> Cc: bug-followup@FreeBSD.org, freebsd@beardz.net
> Subject: Re: ports/161520: [MAINTAINER] irc/weechat-devel: update to 2011=
1010
> =A0(0.3.6-rc2)
> Date: Wed, 12 Oct 2011 20:31:36 +0100
>
> =A0On 12/10/2011 18:45, Chris Rees wrote:
> =A0> Why is there a DEBUG option with no corresponding WITH_DEBUG test?
> =A0>
> =A0> Chris
> =A0>
>
> =A0Hi Chris,
>
> =A0The port uses cmake and WITH_DEBUG is handled in bsd.cmake.mk.
>
> =A0Please see
> =A0http://www.freebsd.org/cgi/getmsg.cgi?fetch=3D28231+0+/usr/local/www/d=
b/text/2011/cvs-ports/20110417.cvs-ports
>

D'oh, OK, thanks.

I will remove the full stops from the OPTIONS comments however, since
that fits in better with the style we have in most other ports.

Thanks for your contribution!

Chris
Comment 5 dfilter service freebsd_committer 2011-10-12 21:02:41 UTC
crees       2011-10-12 20:02:32 UTC

  FreeBSD ports repository

  Modified files:
    irc/weechat-devel    Makefile distinfo 
  Log:
  - Update to 20111010
  - While here, remove full stops at end of OPTIONS descriptions
  
  PR:             ports/161520
  Submitted by:   Jase Thew <freebsd@beardz.net> (maintainer)
  
  Revision  Changes    Path
  1.75      +15 -15    ports/irc/weechat-devel/Makefile
  1.49      +2 -2      ports/irc/weechat-devel/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Chris Rees freebsd_committer 2011-10-12 21:02:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!